#
# spec file for package kdepim4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdepim4
BuildRequires:  cyrus-sasl-devel libqca2-devel python-devel
BuildRequires:  boost-devel gnokii-devel gpgme-devel libkdepimlibs4-devel
BuildRequires:  kdebase4-workspace-devel libsoprano-devel soprano
BuildRequires:  libmysqlclient-devel oxygen-icon-theme
BuildRequires:  kdepim4-runtime-devel libknotificationitem-devel
%define with_kitchensync 0
%define with_kpilot 1
%define with_kmobiletools 0
%define with_korn 0
%define with_kcontactmanager 0
%if %with_kitchensync
BuildRequires:  libopensync-devel
%endif
BuildRequires:  fdupes libassuan-devel libmal1-devel libpisock-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Base package of kdepim
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.4
Source0:        kdepim-%version.tar.bz2
Patch:          4_3_BRANCH.diff
Patch1:         akregator-useragent.diff
Patch4:         desktop-files.diff
Patch7:         knode-kontact-default.diff
Patch10:        dont-install-private-shlib-namelinks.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       akregator
Suggests:       kaddressbook
%if %with_kcontactmanager
Suggests:       kcontactmanager
%endif
Suggests:       kmail
Suggests:       knode
Suggests:       knotes
Suggests:       kontact
Suggests:       korganizer
%if %with_korn
Suggests:       korn
%endif
Suggests:       ktimetracker
Suggests:       kdepim4-wizards
Suggests:       kalarm
%if %with_kitchensync
Suggests:       kitchensync
%endif
Suggests:       libkdepim4
%if %with_kpilot
Suggests:       kpilot
%endif
%if %with_kmobiletools
Suggests:       kmobiletools
%endif

%description
This package contains the core files of the kdepim module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdepim-%version
%patch
%patch1
%patch4
%patch7
#%patch10

%build
%ifarch ppc64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
%if ! %with_kitchensync
  rm -rf kitchensync
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
  cp /usr/share/icons/oxygen/128x128/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
  cp /usr/share/icons/oxygen/16x16/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
  cp /usr/share/icons/oxygen/22x22/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
  cp /usr/share/icons/oxygen/32x32/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
  cp /usr/share/icons/oxygen/48x48/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
  cp /usr/share/icons/oxygen/64x64/apps/internet-mail.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
  cp /usr/share/icons/oxygen/128x128/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
  cp /usr/share/icons/oxygen/16x16/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
  cp /usr/share/icons/oxygen/22x22/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
  cp /usr/share/icons/oxygen/32x32/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
  cp /usr/share/icons/oxygen/48x48/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
  cp /usr/share/icons/oxygen/64x64/apps/office-calendar.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
  cp /usr/share/icons/oxygen/128x128/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
  cp /usr/share/icons/oxygen/16x16/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
  cp /usr/share/icons/oxygen/22x22/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
  cp /usr/share/icons/oxygen/32x32/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
  cp /usr/share/icons/oxygen/48x48/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
  cp /usr/share/icons/oxygen/64x64/apps/office-address-book.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
  %create_subdir_filelist -d ktimetracker
  %create_subdir_filelist -d korganizer -v devel
  %create_subdir_filelist -d kalarm -v devel
  %create_subdir_filelist -d kmail -v devel
  %create_subdir_filelist -d kmailcvt -f kmail
  %create_subdir_filelist -d knode -v devel
  %create_subdir_filelist -d kjots -v devel
%if %with_kpilot
  %create_subdir_filelist -d kpilot -v devel
%endif
  %create_subdir_filelist -d kontact -v devel
  %create_subdir_filelist -d kontactinterfaces -f libkdepim -v libkdepim.devel
  %create_subdir_filelist -d wizards 
%if %with_kmobiletools
  %create_subdir_filelist -d kmobiletools -v devel
%endif
%if %with_kitchensync
  %create_subdir_filelist -d kitchensync -v devel
%endif
  %create_subdir_filelist -d akregator -v devel
  %create_subdir_filelist -d knotes -v devel
%if %with_korn
  %create_subdir_filelist -d korn
%endif
  %create_subdir_filelist -d kaddressbook -v devel
%if %with_kcontactmanager
  %create_subdir_filelist -d kcontactmanager
%endif
  %create_subdir_filelist -d libkdepim -v libkdepim.devel
#assuan is too old on 10.3 so no kleopatra
%if %suse_version > 1030
  %create_subdir_filelist -d kleopatra/libkleopatraclient -f libkdepim -v libkdepim.devel
%endif
  cd ..
  #remove kontact plugins' desktop files that are in subpackages from the kontact list
  akregatorplugins="/usr/%_lib/kde4/kontact_akregatorplugin.so /usr/share/kde4/services/kontact/akregatorplugin.desktop"
  korganizerplugins="/usr/%_lib/kde4/kontact_journalplugin.so /usr/%_lib/kde4/kontact_korganizerplugin.so /usr/%_lib/kde4/kontact_todoplugin.so /usr/share/kde4/services/kontact/korganizerplugin.desktop /usr/share/kde4/services/kontact/journalplugin.desktop /usr/share/kde4/services/kontact/todoplugin.desktop"
  kaddressbookplugin="/usr/%_lib/kde4/kontact_kaddressbookplugin.so /usr/share/kde4/services/kontact/kaddressbookplugin.desktop"
  kmailplugin="/usr/%_lib/kde4/kontact_kmailplugin.so /usr/share/kde4/services/kontact/kmailplugin.desktop"
%if %with_kmobiletools
  kmobiletoolsplugin="/usr/%_lib/kde4/kontact_kmobiletoolsplugin.so /usr/share/kde4/services/kontact/kmobiletools.desktop"
%endif
  knodeplugin="/usr/%_lib/kde4/kontact_knodeplugin.so /usr/share/kde4/services/kontact/knodeplugin.desktop"
  knotesplugin="/usr/%_lib/kde4/kontact_knotesplugin.so /usr/share/kde4/services/kontact/knotesplugin.desktop"
  kjotsplugin="/usr/%_lib/kde4/kontact_kjotsplugin.so /usr/share/kde4/services/kontact/kjots_plugin.desktop"
  ktimetrackerplugin="/usr/%_lib/kde4/kontact_ktimetrackerplugin.so /usr/share/kde4/services/kontact/ktimetracker_plugin.desktop"
  for i in $akregatorplugins $korganizerplugins $kaddressbookplugin $kmailplugin $kmobiletoolsplugin $knodeplugin $knotesplugin $kjotsplugin $ktimetrackerplugin
  do
    sed -ri s,$i,, filelists/kontact 
  done
  for i in $akregatorplugins
  do
    echo $i >> filelists/akregator
  done
  for i in $korganizerplugins
  do 
    echo $i >> filelists/korganizer
  done
  for i in $kaddressbookplugin
  do
    echo $i >> filelists/kaddressbook
  done
  sed -ri s,.*/usr/%_lib/libkabcommon.so.*,, filelists/kaddressbook 
  for i in $kmailplugin
  do
    echo $i >> filelists/kmail
  done
  for i in $kmobiletoolsplugin
  do
    echo $i >> filelists/kmobiletools
  done
  for i in $knodeplugin
  do
    echo $i >> filelists/knode
  done
  for i in $knotesplugin
  do
    echo $i >> filelists/knotes
  done
  for i in $kjotsplugin
  do
    echo $i >> filelists/kjots
  done
  for i in $ktimetrackerplugin
  do
    echo $i >> filelists/ktimetracker
  done
  grep "/usr/lib" filelists/libkdepim | grep "/kde4/" >filelists/libkdepim.devel
  cat filelists/libkdepim.devel | while read line; do echo "%exclude $line";done >>filelists/devel
  grep "/usr/lib" filelists/libkdepim | grep -v "/kde4/" >filelists/libkdepim.libs
  cat filelists/libkdepim.libs | while read line; do echo "%exclude $line";done >>filelists/libkdepim
  echo "/usr/share/kde4/servicetypes/kontactplugin.desktop" >> filelists/kontact
  %create_exclude_filelist
  %suse_update_desktop_file korganizer      Office   Calendar
  %suse_update_desktop_file kalarm          Utility  TimeUtility
  #%x_suse_update_desktop_file kalarmd         Utility  TimeUtility
  %suse_update_desktop_file ktimetracker            Utility  TimeUtility
  %suse_update_desktop_file kaddressbook    Office   ContactManagement
  %suse_update_desktop_file knotes          Utility  DesktopUtility
  %suse_update_desktop_file KMail           Network  Email
%if %with_korn
  %suse_update_desktop_file -r KOrn         Utility  Applet
%endif
  %suse_update_desktop_file KNode           Network  News
  %suse_update_desktop_file Kontact         Office   Core-Office
  %suse_update_desktop_file groupwarewizard Utility  DesktopSettings
  %suse_update_desktop_file -r akregator       Network  RSS-News
  %suse_update_desktop_file Kjots           Utility TimeUtility
%if %with_kpilot
  %suse_update_desktop_file kpilot          Utility  PDA SyncUtility
%endif
%if %with_kcontactmanager
  %suse_update_desktop_file kcontactmanager Office   ContactManagement
%endif
%if %with_kmobiletools
  %suse_update_desktop_file -G "Mobile Phone Tool" -C "" kmobiletools Utility Telephony
%endif
%if %with_kitchensync
  %suse_update_desktop_file kitchensync     Utility  X-SuSE-SyncUtility
%endif
  %kde_post_install
  %fdupes -s $RPM_BUILD_ROOT
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n akregator
License:        LGPLv2.1+
Group:          Productivity/Networking/News/Utilities
Summary:        RSS Feed Reader
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-akregator = 4.3.0
Obsoletes:      kde4-akregator < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/akregator

%description -n akregator
A KDE Feed Aggregator



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n akregator -p /sbin/ldconfig

%postun -n akregator -p /sbin/ldconfig

%files -n akregator -f filelists/akregator
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kaddressbook
License:        LGPLv2.1+
Group:          Productivity/Networking/Email/Utilities
Summary:        Address Manager
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-kaddressbook = 4.3.0
Obsoletes:      kde4-kaddressbook < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/kaddressbook

%description -n kaddressbook
The KDE Address Book



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kaddressbook -p /sbin/ldconfig

%postun -n kaddressbook -p /sbin/ldconfig

%files -n kaddressbook -f filelists/kaddressbook
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%if %with_kcontactmanager

%package -n kcontactmanager
License:        LGPL v2.1 or later
Group:          Productivity/Networking/Email/Utilities
Summary:        Address Manager
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kcontactmanager
The KDE Kontact Manager



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kcontactmanager -p /sbin/ldconfig

%postun -n kcontactmanager -p /sbin/ldconfig

%files -n kcontactmanager -f filelists/kcontactmanager
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%endif

%package -n kmail
License:        LGPLv2.1+
Group:          Productivity/Networking/Email/Clients
Summary:        Mail Client
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-kmail = 4.3.0
Obsoletes:      kde4-kmail < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/kmail

%description -n kmail
KMail is the mail client of KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmail -p /sbin/ldconfig

%postun -n kmail -p /sbin/ldconfig

%files -n kmail -f filelists/kmail
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%config %_kde_config_dir/kmail.antispamrc
%config %_kde_config_dir/kmail.antivirusrc
%_kde4_iconsdir/hicolor/*/apps/internet-mail.*
%_kde4_appsdir/kmail/pics/*
%_kde4_modulesdir/kmail_bodypartformatter_text_*.so
%_kde4_appsdir/kmail/plugins/bodypartformatter

%package -n knode
License:        LGPLv2.1+
Group:          Productivity/Networking/News/Clients
Summary:        News Reader
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-knode = 4.3.0
Obsoletes:      kde4-knode < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/knode

%description -n knode
KNode is a usenet news reader for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n knode -p /sbin/ldconfig

%postun -n knode -p /sbin/ldconfig

%files -n knode -f filelists/knode
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%_kde4_appsdir/knode/pics/*

%package -n knotes
License:        LGPLv2.1+
Group:          Productivity/Other
Summary:        Popup Notes
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-knotes = 4.3.0
Obsoletes:      kde4-knotes < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/knotes

%description -n knotes
KNotes is a note taking application for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n knotes -p /sbin/ldconfig

%postun -n knotes -p /sbin/ldconfig

%files -n knotes -f filelists/knotes
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%exclude %_kde4_appsdir/knotes/knotes_part.rc

%package -n kontact
License:        LGPLv2.1+
Group:          Productivity/Other
Summary:        Personal Information Manager
Requires:       libkdepim4 = %version
%kde4_runtime_requires
Provides:       kde4-kontact = 4.3.0
Obsoletes:      kde4-kontact < 4.3.0
Provides:       kdepim3 = 3.5.1
Obsoletes:      kdepim3 <= 3.5.1

%description -n kontact
Kontact combines the individual applications KMail, KAddressBook and
KOrganizer under one GUI.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kontact -p /sbin/ldconfig

%postun -n kontact -p /sbin/ldconfig

%files -n kontact -f filelists/kontact
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%if %with_kitchensync

%package -n kitchensync

Group:          Productivity/Telephony/Utilities
Summary:        Syncing Application
%kde4_runtime_requires
Provides:       kdepim3-sync = 3.5.1
Obsoletes:      kdepim3-sync <= 3.5.1
Provides:       kde4-kitchensync = 4.3.0
Obsoletes:      kde4-kitchensync < 4.3.0

%description -n kitchensync
The KDE Syncing Application



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kitchensync -p /sbin/ldconfig

%postun -n kitchensync -p /sbin/ldconfig

%files -n kitchensync -f filelists/kitchensync
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%endif

%package -n korganizer
License:        LGPLv2.1+
Group:          Productivity/Office/Organizers
Summary:        Personal Organizer
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-korganizer = 4.3.0
Obsoletes:      kde4-korganizer < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/korganizer

%description -n korganizer
KOrganizer is a calendar application for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n korganizer -p /sbin/ldconfig

%postun -n korganizer -p /sbin/ldconfig

%files -n korganizer -f filelists/korganizer
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%config %_kde_config_dir/korganizer.knsrc
%_kde4_iconsdir/hicolor/*/apps/office-calendar.*
%if %with_korn

%package -n korn
License:        LGPL v2.1 or later
Group:          Productivity/Networking/Email/Utilities
Summary:        Mail Alert
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kde4-korn = 4.3.0
Obsoletes:      kde4-korn < 4.3.0
Provides:       kdepim3:/opt/kde3/bin/korn

%description -n korn
Korn is a mail checker for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n korn -p /sbin/ldconfig

%postun -n korn -p /sbin/ldconfig

%files -n korn -f filelists/korn
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%endif

%package -n ktimetracker
License:        LGPLv2.1+
Group:          Productivity/Other
Summary:        Personal Time Tracker
Requires:       libkdepim4 = %version
Provides:       kde4-ktimetracker = 4.3.0
Obsoletes:      kde4-ktimetracker < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n ktimetracker
KTimeTracker tracks time spent on various tasks.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ktimetracker -p /sbin/ldconfig

%postun -n ktimetracker -p /sbin/ldconfig

%files -n ktimetracker -f filelists/ktimetracker
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kjots
License:        GPLv2+
Group:          Productivity/Other
Summary:        Note Taker
Requires:       libkdepim4 = %version
Provides:       kde4-kjots = 4.3.0
Obsoletes:      kde4-kjots < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kjots
KDE Note Taking Utility



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kjots -p /sbin/ldconfig

%postun -n kjots -p /sbin/ldconfig

%files -n kjots -f filelists/kjots
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package wizards
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Personal Information Management Wizards
%kde4_runtime_requires
Provides:       kdepim3:/opt/kde3/bin/egroupwarewizard

%description wizards
This package contains wizards to setup groupware accounts in Kontact.



Authors:
--------
    The KDE Team <kde@kde.org>

%post wizards -p /sbin/ldconfig

%postun wizards -p /sbin/ldconfig

%files wizards -f filelists/wizards
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kalarm
License:        LGPLv2.1+
Group:          Productivity/Other
Summary:        Personal Alarm Scheduler
Requires:       libkdepim4 = %version
Provides:       kde4-kalarm = 4.3.0
Obsoletes:      kde4-kalarm < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kalarm
Personal alarm message, command and email scheduler for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kalarm -p /sbin/ldconfig

%postun -n kalarm -p /sbin/ldconfig

%files -n kalarm -f filelists/kalarm
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n libkdepim4
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE PIM Libraries
%requires_eq akonadi
%requires_ge libqt4-x11

%description -n libkdepim4 
This package contains the basic packages for KDE PIM applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkdepim4 -p /sbin/ldconfig

%postun -n libkdepim4 -p /sbin/ldconfig

%files -n libkdepim4 -f filelists/libkdepim.libs
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n libkdepim4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE PIM Libraries
Requires:       libkdepim4 = %version
Requires:       libkdepimlibs4-devel

%description -n libkdepim4-devel
This package contains the basic packages for KDE PIM applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkdepim4-devel -f filelists/libkdepim.devel
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%if %with_kpilot

%package -n kpilot
License:        LGPLv2.1+
Group:          Hardware/Palm
Summary:        HotSync Software
%kde4_runtime_requires
%kde4_pimlibs_requires
Provides:       kdepim3-kpilot = 3.5.1
Obsoletes:      kdepim3-kpilot <= 3.5.1
Provides:       kde4-kpilot = 4.3.0
Obsoletes:      kde4-kpilot < 4.3.0

%description -n kpilot
HotSync software for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kpilot -p /sbin/ldconfig

%postun -n kpilot -p /sbin/ldconfig

%files -n kpilot -f filelists/kpilot
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%_kde4_iconsdir/hicolor/*/actions/kpilot_backup.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_busysync.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_fullsync.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_hhtopc.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_hotsync.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_nosync.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_reset.*
%_kde4_iconsdir/hicolor/*/actions/kpilot_restore.*
%_kde4_iconsdir/hicolor/*/apps/kpilot.*
%_kde4_iconsdir/hicolor/*/apps/kpilotdaemon.*
%_kde4_servicetypesdir/kpilotconduit.desktop
%endif

%package devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Personal Information Management Base Package: Build Environment
Requires:       libkdepim4-devel korganizer kontact knode kmail
Requires:       kdepim4 = %version kalarm = %version
Requires:       kaddressbook = %version 
Requires:       akregator = %version 
#Requires:       kmobiletools = %version kpilot = %version 

%description devel
This packages contains development files of the kdepim module.



Authors:
--------
    The KDE Team <kde@kde.org>

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files devel -f filelists/devel
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%_kde4_libdir/*.so
/usr/include/*
%if %with_kmobiletools

%package -n kmobiletools
License:        GPL v2 or later
Group:          Productivity/Telephony/Utilities
Summary:        Mobile Phone Tools
Provides:       kde4-kmobiletools = 4.3.0
Obsoletes:      kde4-kmobiletools < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kmobiletools
KMobileTools is a KDE application that allows you to control your
mobile phone from your GNU/Linux workstation.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmobiletools -p /sbin/ldconfig

%postun -n kmobiletools -p /sbin/ldconfig

%files -n kmobiletools -f filelists/kmobiletools
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%endif

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%exclude /usr/include
%if %with_kcontactmanager
%exclude %_kde4_applicationsdir/kcontactmanager.desktop
%endif
%_kde4_bindir/*
%_kde4_libdir/*.so.*
%exclude %_kde4_modulesdir/kmail_bodypartformatter_text_*.so
%_kde4_modulesdir/*
%_kde4_libdir/strigi/strigiea_*.so
%_kde4_applicationsdir/*
/usr/share/dbus-1/interfaces/*
%_kde4_iconsdir/oxygen
%_kde4_sharedir/apps
%_kde4_sharedir/config.kcfg
%_kde4_sharedir/services
%doc %lang(en) %_kde4_htmldir/en/kleopatra
%config %_kde_config_dir/libkleopatrarc
%_kde4_iconsdir/hicolor/*/apps/office-address-book.*
%exclude %_kde4_appsdir/kmail/pics/*
%exclude %_kde4_appsdir/kmail/plugins/bodypartformatter
%exclude %_kde4_appsdir/knode/pics/*

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec 10 2009 llunak@novell.com
- update 4_3_BRANCH.diff: fix KOrganizer with Qt4.6 and kde#214241
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Sat Oct 17 2009 beineri@opensuse.org
- fix KTimeTracker menu items missing (bnc#544274)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: akregator, kmail & korganizer fixes
- knode: fetch nntp articles using their server-side Id instead
  of their msg-id (bnc#536643)
* Mon Sep 14 2009 wstephenson@novell.com
- update 4_3_BRANCH.diff: fix bnc#471760 (POP filter setting not
  persistent).
* Mon Sep 14 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: several KMail and KOrganizer bug fixes
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Sat Aug 15 2009 beineri@opensuse.org
- branch diff update: akregator, kmail and kalarm fixes
* Wed Aug  5 2009 llunak@suse.cz
- branch diff update (bnc#494376)
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Mon Jul 27 2009 beineri@opensuse.org
- don't mistakenly exclude files/fix build with new debuginfo macro
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun 17 2009 beineri@opensuse.org
- fix Akregator appearing twice in start menu
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Thu May 21 2009 coolo@novell.com
- fix file conflict with oxygen-icon-theme
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May  7 2009 beineri@opensuse.org
- allow user to reply to mails in the sent-mail folder (kde#190105)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update branch diff - some kmail fixes
* Mon Mar  9 2009 dmueller@suse.de
- move akonadiconsole to kde4-akonadi
* Fri Mar  6 2009 coolo@suse.de
- filelist/devel does not exist and isn't used
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Fri Feb  6 2009 stbinner@suse.de
- update branch diff: misc Akregator, KMail & KOrganizer fixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sat Jan 10 2009 dmueller@suse.de
- update to KDE 4.1.87 (KDE 4.2 Januar snapshot)
* Thu Dec 18 2008 dmueller@suse.de
- fix knode wrapping (kde#167996)
* Tue Dec 16 2008 wstephenson@suse.de
- Various critical fixes from 4.1 branch:
  * Fix mail loss on rebuild dimap cache (Kolab/issue3196)
  * Fix mail duplication on online imap filtering (kde#95064)
  * Fix mail loss when filtering POP mail and /tmp is full
  * Fix crash on changing quote indicator (kde#174268)
  * Fix crash on parsing procmail file (kde#173964)
  * Fix crash on filtering online imap
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Fri Dec 12 2008 wstephenson@suse.de
- Don't install namelink .so's for private shared libs (bnc#420162)
  Fixes KDE3 kmail startup when kdepim4-devel is installed
* Fri Dec  5 2008 wstephenson@suse.de
- Fix korganizer/kontact showing UTC datetimes instead of localtime
  (bnc#441022)
* Thu Dec  4 2008 wstephenson@suse.de
- add warning to the Akonadi kresources (bnc#439412)
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Tue Nov 11 2008 dmueller@suse.de
- move akonadi kcal/kabc support into kde4-akonadi subpackage
* Sat Nov  1 2008 dmueller@suse.de
- modularize akonadi deps (bnc#439095)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Oct 23 2008 stbinner@suse.de
- remove akonadiconsole and akonaditray menu entries
* Tue Oct 21 2008 stbinner@suse.de
- update branch diff: akregator and kmail bug fix backports
* Fri Oct 17 2008 stbinner@suse.de
- enable KNode Kontact plugin by default (bnc#432332)
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep  8 2008 stbinner@suse.de
- update branch diff
* Tue Sep  2 2008 dmueller@suse.de
- update to final 4.1.1 tarball
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Aug 20 2008 stbinner@suse.de
- fix splitting fix
* Mon Aug 18 2008 stbinner@suse.de
- fix split of kjots and ktimetracker Kontact plugins (bnc#412480)
* Sat Aug 16 2008 stbinner@suse.de
- branch diff update
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Thu Jul 24 2008 wstephenson@suse.de
- Fix IMAP groupware functionality (bnc#398286)
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
  * korn removed (disabled upstream)
* Wed Jul 23 2008 stbinner@suse.de
- fix build
* Sat Jul 19 2008 wstephenson@suse.de
- Fix quoted mail text missing in replies/forwards (kde#166728)
* Fri Jul 18 2008 wstephenson@suse.de
- Fix POP3 mail not retained on server by KMail
  (bnc#408686,kde#151308)
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Thu Jul 17 2008 wstephenson@suse.de
- Change module-internal dependencies of split packages to
  'version-equals' instead of 'equals or greater than'
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Thu Jun 26 2008 wstephenson@suse.de
- Fix missing Kontact plugins (bnc#398807)
* Tue Jun 24 2008 dmueller@suse.de
- update to 4.1 beta2
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Wed Jun 11 2008 dmueller@suse.de
- remove kpilot/kmobiletools packages
* Fri Jun  6 2008 wstephenson@suse.de
- Remove kpilot and kmobiletools dependency as these are not part
  of KDE 4.1
- Disable Kontact planner plugin, not part of KDE 4.1
* Tue Jun  3 2008 stbinner@suse.de
- don't install /usr/share/applications/kde4/kcontactmanager.desktop
* Thu May 29 2008 wstephenson@suse.de
- Move Kontact plugins' desktop files to subpackages (bnc#389141)
* Mon May 26 2008 wstephenson@suse.de
- Add versioning to libkleopatra libraries (bnc#391350)
* Thu May 22 2008 wstephenson@suse.de
- Update to kdepim 4.1beta1
  * Fix kontact view switch sidepane fills entire window (bnc#389141)
* Sat May 17 2008 wstephenson@suse.de
- Exclude akonadi resources, not yet production ready
* Fri May 16 2008 wstephenson@suse.de
- weather plugin is disabled upstream now, remove our patch
* Thu May 15 2008 dmueller@suse.de
- update to 4.0.74
* Fri May  9 2008 llunak@suse.cz
- use the backported kdelibs4.1 functionality for spellchecking
* Fri May  9 2008 wstephenson@suse.de
- update branch diff for mbox fix
* Fri May  9 2008 dmueller@suse.de
- add missing devel package requires
* Thu May  8 2008 wstephenson@suse.de
- Fix invalid return type in KTimeTracker
* Wed May  7 2008 dmueller@suse.de
- update to 4.0.73
* Wed Apr 30 2008 dmueller@suse.de
- update to 4.0.72
* Thu Apr 24 2008 wstephenson@suse.de
- Adapt to new Akonadi location, update to 4.0.71
* Tue Apr 22 2008 wstephenson@suse.de
- remove weather kontact plugin - kweather is broken
* Mon Apr 21 2008 dmueller@suse.de
- remove plasmabiff (doesn't build against KDE 4.0 anymore)
* Fri Apr 18 2008 dmueller@suse.de
- update to 4.0.70
* Tue Apr 15 2008 coolo@suse.de
- give akonadi %%post a ldconfig
* Tue Apr 15 2008 coolo@suse.de
- work around build problem
* Mon Apr 14 2008 wstephenson@suse.de
- Remove private libraries' link-edit .so files, nobody builds
  vs them and they break kdepim3 apps as ld.so tries to link them
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Sat Apr 12 2008 dmueller@suse.de
- update to 4.0.69:
  * fixes almost build (finally)
  * no changelog available
* Fri Apr 11 2008 stbinner@suse.de
- fix file globbing
* Wed Apr  2 2008 dmueller@suse.de
- update to 4.0.68
* Tue Mar 25 2008 dmueller@suse.de
- update to 4.0.67
* Thu Mar 13 2008 dmueller@suse.de
- update to 4.0.66
* Thu Mar 13 2008 stbinner@suse.de
- fix file conflict
* Tue Mar 11 2008 dmueller@suse.de
- disable nepomuk stuff for 4.0
* Mon Mar 10 2008 dmueller@suse.de
- update to 4.0.65
* Thu Feb 21 2008 dmueller@suse.de
- update to 4.0.63
* Thu Feb 14 2008 dmueller@suse.de
- update to 4.0.62
* Thu Feb  7 2008 dmueller@suse.de
- update to 4.0.61
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Thu Nov 22 2007 stbinner@suse.de
- fix file conflicts
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 Beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Thu Oct 18 2007 ro@suse.de
- fix build
  - add category for kcontactmanager.desktop
  - add directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta 3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720115
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Thu Aug 30 2007 dmueller@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703914
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700937
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697324
* Tue Aug  7 2007 wstephenson@suse.de
- Resolve file conflict between kdepim4 and kdepim4-knotes
* Mon Aug  6 2007 wstephenson@suse.de
- remove kitchensync temporarily, not compatible with our
  libopensync
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672299
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679144, run fdupes
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Thu May 24 2007 stbinner@suse.de
- initial package in abuild
